let
    Source = Sql.Database(".", "RetailBIDW", [Query="select * from ip.retail.StoreDim"]),
    #"Renamed Columns" = Table.RenameColumns(Source, {{"LocationID", "LocationID"}, {"City", "City Name"}, {"Territory", "Territory"}, {"PostalCode", "PostalCode"}, {"OpenDate", "OpenDate"}, {"SellingAreaSize", "SellingAreaSize"}, {"DistrictName", "DistrictName"}, {"Name", "Name"}, {"StoreNumberName", "StoreNumberName"}, {"StoreNumber", "StoreNumber"}, {"Chain", "Chain"}, {"DM", "DM"}, {"DM_Pic", "DM_Pic"}, {"DistrictID", "DistrictID"}}),
    #"Changed Type" = Table.TransformColumnTypes(#"Renamed Columns", {{"LocationID", Int64.Type}, {"City Name", type text}, {"Territory", type text}, {"PostalCode", type text}, {"OpenDate", type datetime}, {"SellingAreaSize", Int64.Type}, {"DistrictName", type text}, {"Name", type text}, {"StoreNumberName", type text}, {"StoreNumber", Int64.Type}, {"Chain", type text}, {"DM", type text}, {"DM_Pic", type text}, {"DistrictID", Int64.Type}})
in
    #"Changed Type"